Name:           python-adblockparser
Version:        0.7
Release:        %autorelease
Summary:        Parser for Adblock Plus rules

License:        MIT
URL:            https://github.com/scrapinghub/adblockparser
Source:         %{pypi_source adblockparser}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Libraries for working with Adblock Plus filter rules. It can parse Adblock Plus filters and match URLs against them.}

%description %_description

%package -n     python3-adblockparser
Summary:        %{summary}

%description -n python3-adblockparser %_description

%prep
%autosetup -p1 -n adblockparser-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l adblockparser

%check
%pyproject_check_import

%files -n python3-adblockparser -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst

%changelog
%autochangelog